org.eclipse.aether.impl

## Interface MetadataGeneratorFactory

-     public interface MetadataGeneratorFactory

  A factory to create metadata generators. Metadata generators can contribute additional metadata during the installation/deployment of artifacts.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getPriority()` The priority of this factory.
    `MetadataGenerator` | `newInstance(RepositorySystemSession session, DeployRequest request)` Creates a new metadata generator for the specified deploy request.
    `MetadataGenerator` | `newInstance(RepositorySystemSession session, InstallRequest request)` Creates a new metadata generator for the specified install request.

- - ### Method Detail

    - #### newInstance

          MetadataGenerator newInstance(RepositorySystemSession session,
                                      InstallRequest request)

      Creates a new metadata generator for the specified install request.
      Parameters:
        `session` - The repository system session from which to configure the generator, must not be `null`.
        `request` - The install request the metadata generator is used for, must not be `null`.
      Returns:
        The metadata generator for the request or `null` if none.

    - #### newInstance

          MetadataGenerator newInstance(RepositorySystemSession session,
                                      DeployRequest request)

      Creates a new metadata generator for the specified deploy request.
      Parameters:
        `session` - The repository system session from which to configure the generator, must not be `null`.
        `request` - The deploy request the metadata generator is used for, must not be `null`.
      Returns:
        The metadata generator for the request or `null` if none.

    - #### getPriority

          float getPriority()

      The priority of this factory. Factories with higher priority are invoked before those with lower priority.
      Returns:
        The priority of this factory.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.